### Constructor

# Gtk.StringFilter.new

#### Declaration [src]

    GtkStringFilter*
    gtk_string_filter_new (
      GtkExpression* expression
    )

#### Description [src]

Creates a new string filter.

You will want to set up the filter by providing a string to search for and by providing a property to look up on the item.

#### Parameters

`expression` | `GtkExpression`
| The expression to evaluate or `NULL` for none
| Can be `NULL`
| Ownership of the data is transferred to the callee

#### Return value

Returns: `GtkStringFilter`
a new `GtkStringFilter`
Ownership of the data is transferred to the caller